cgGetProgramOptions(3)

NAME
cgGetProgramOptions - get strings from a program object

SYNOPSIS
  #include <Cg/cg.h>
  char const * const * cgGetProgramOptions( CGprogram program );

PARAMETERS

program
    The Cg program to query.

RETURN VALUES
Returns the options used to compile the program as an array of NULL-terminated strings.

Returns NULL if no options exist, or if an error occurs.

DESCRIPTION
cgGetProgramOptions allows the application to retrieve the set of options used to compile the program.

The options are returned in an array of ASCII-encoded NULL-terminated character strings. Each string contains a single option. The last element of the string array is guaranteed to be NULL.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetProgramOptions was introduced in Cg 1.4.

SEE ALSO
the cgGetProgramString manpage